Package org.apache.lucene.search.suggest.fst

## Class ExternalRefSorter.ByteSequenceIterator

- java.lang.Object
- - org.apache.lucene.search.suggest.fst.ExternalRefSorter.ByteSequenceIterator

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `BytesRefIterator`
  Enclosing class:
    ExternalRefSorter

      public static class ExternalRefSorter.ByteSequenceIterator
      extends Object
      implements BytesRefIterator, Closeable

  Iterates over `BytesRef`s in a file, closes the reader when the iterator is exhausted.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.BytesRefIterator

      `EMPTY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `BytesRef` | `next()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### next

          public BytesRef next()
                        throws IOException

      Specified by:
        `next` in interface `BytesRefIterator`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Throws:
        `IOException`